CREATE TABLE JCR_MITEM(
	ID VARCHAR(255) NOT NULL PRIMARY KEY, 
	VERSION INTEGER NOT NULL, 
	PATH VARCHAR(1024) NOT NULL
	);
CREATE INDEX JCR_IDX_ITEM_PATH ON JCR_MITEM(PATH);
CREATE TABLE JCR_MNODE(
	ID VARCHAR(255) NOT NULL PRIMARY KEY, 
	ORDER_NUM INTEGER, 
	PARENT_ID VARCHAR(255), 
	CONSTRAINT JCR_FK_NODEPARENT FOREIGN KEY(PARENT_ID) REFERENCES JCR_MNODE(ID), 
	CONSTRAINT JCR_FK_NODE_ITEM FOREIGN KEY(ID) REFERENCES JCR_MITEM(ID)
	);
CREATE TABLE JCR_MPROPERTY(
	ID VARCHAR(255) NOT NULL PRIMARY KEY,
	TYPE INTEGER NOT NULL, 
	PARENT_ID VARCHAR(255) NOT NULL, 
	MULTIVALUED BOOLEAN NOT NULL, 
	CONSTRAINT JCR_FK_PROPERTY_NODE FOREIGN KEY(PARENT_ID) REFERENCES JCR_MNODE(ID), 
	CONSTRAINT JCR_FK_PROPERTY_ITEM FOREIGN KEY(ID) REFERENCES JCR_MITEM(ID) 
	);
CREATE TABLE JCR_MVALUE(
	ID BIGSERIAL PRIMARY KEY, 
	DATA BYTEA NOT NULL,
	ORDER_NUM INTEGER, 
	PROPERTY_ID VARCHAR(255) NOT NULL, 
	CONSTRAINT JCR_FK_VALUE_PROPERTY FOREIGN KEY(PROPERTY_ID) REFERENCES JCR_MPROPERTY(ID)
	);