/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/

import java.util.ArrayList ;
import java.util.List ;
import java.util.Iterator;

import javax.jcr.Session;
import javax.jcr.Node ;

import org.exoplatform.faces.core.component.UISelectBox ;
import org.exoplatform.faces.core.component.model.SelectItem ;

import org.exoplatform.services.cms.CmsConfigurationService ;
import org.exoplatform.services.cms.scripts.CmsScript ;
import org.exoplatform.services.cms.BasePath ;

import org.exoplatform.services.jcr.RepositoryService ;
import org.exoplatform.services.jcr.core.ManageableRepository ;


public class FillSelectBoxWithCalendarCategories implements CmsScript {
  
  private RepositoryService repositoryService_ ;
  private CmsConfigurationService cmsConfigService_ ;
  
  public FillSelectBoxWithCalendarCategories(RepositoryService repositoryService,
                                             CmsConfigurationService cmsConfigurationService) {
    repositoryService_ = repositoryService ;
    cmsConfigService_ = cmsConfigurationService ;
  }
  
  public void execute(Object context) {
    UISelectBox selectBox = (UISelectBox) context;

    ManageableRepository jcrRepository = repositoryService_.getRepository();
    Session session = jcrRepository.getSystemSession(cmsConfigService_.getWorkspace());
    System.out.println(cmsConfigService_.getJcrPath(BasePath.CALENDAR_CATEGORIES_PATH)) ;
    Node categoriesNode = (Node) session.getItem(cmsConfigService_.getJcrPath(BasePath.CALENDAR_CATEGORIES_PATH)) ;
    if (categoriesNode == null) return ;
    List options = new ArrayList();
    Iterator iter = categoriesNode.getNodes() ;
    while(iter.hasNext()) {
      Node categoryNode = iter.next() ;
      options.add(new SelectItem(categoryNode.getName() , categoryNode.getName()));
    }            
    selectBox.setOptions(options);
  }

  public void setParams(String[] params) {}

}
