/***************************************************************************
 * Copyright 2001-2005 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package suites.admin;

import condition.* ;
import suites.share.*;
import suites.share.NewAccountSuite;
import suites.share.UserLoginSuite;
import suites.share.UserLogoutSuite;

import org.exoplatform.test.web.*;
import org.exoplatform.test.web.unit.*;
import org.exoplatform.test.web.validator.*;
import org.exoplatform.test.web.unit.NewSessionUnit;
/**
 * Created by The eXo Platform SARL
 * Author : Dung Hoang
 *          dunghoang@exoplatform.com, jobdung@yahoo.com
 * Nov 15, 2005
 */
public class PortalAdminSuite extends WebUnitSuite {
  static String DESC = "Go to Portal Admin page and test all the basic actions" ;
  static String NAME = "PortalAdminSuite" ;
    
  public PortalAdminSuite() {    
    super(NAME, DESC) ;
    init("/Site Map/Portal Admin") ;
  }  
  public PortalAdminSuite(String path) {
    super(NAME, DESC) ;
    init(path) ;
  }  
  public void  init(path) {   
    //User Registration
    goToPage("Site Map/User Registration") ;    
    //-----Create exo-origin account 
    addWebSuite(new NewAccountSuite("client.name", "client.name")) ;
    //Save admin context
    addWebUnit(
      new ContextManagementUnit(ContextManagementUnit.SAVE, "Save Context")
    ); 
    //Create and login with new account
    String[] roles=["user"];
    addWebSuite(new UserLoginSuite("client.name", "client.name", roles)) ;  
    //Restore admin context 
    addWebUnit(
      new ContextManagementUnit(ContextManagementUnit.RESTORE, "Restore Context")
    );
    //Go to Portal admin
    goToPage(path) ;
    //Search Permision    
    addWebUnit(
      new SubmitFormUnit("SearchPermision", "Click on search link").
      setFormId("searchForm").
      setField("owner", "client.name").
      setField("op", "search").
      addValidator(new ExpectTextValidator("client.name"))      
    ) ;
    //Edit
    addWebUnit(
      new ClickURLLinkUnit("ClickOnEdit", "Click on edit").
      setURL("&uicomponent=UIAvailablePortal&op=admin&objectId=client.name").
      addValidator(new ExpectTextValidator("Welcome")).
      addValidator(new ExpectTextValidator("client.name"))
    ) ;
    addWebUnit(
      new ClickURLLinkUnit("ClickOnBack", "Click on back").
      setURL("admin:returnAction=return").
      addValidator(new ExpectFormIdValidator("searchForm"))      
    ) ;
    //Delete created new account
    addWebUnit(
      new ClickLinkWithText("GotoManagement", "Click on Management link").
      setTextLink("Management").
      addValidator(new ExpectLinkWithURLValidator("&uicomponent=UIListUser&op=delete&objectId=client.name"))
    ) ;
    addWebUnit(
      new ClickURLLinkUnit("DeleteCreatedAccount", "Delete created new account").
      setURL("&uicomponent=UIListUser&op=delete&objectId=client.name").
      addValidator(new ExpectNoTextValidator("client.name"))      
    ) ;
  }
  public java.util.List getRequiredSuites() { 
  	String[] roles = ["user", "admin"] ;
   	return [new UserLoginSuite(CommonUnit.NAME_EXO_ADMIN, "exo", roles)] ;
  }
}