/***************************************************************************
 * Copyright 2001-2005 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package suites.ecm.admin;

import condition.* ;
import suites.share.CommonUnit ;
import suites.share.UserLoginSuite;

import org.exoplatform.test.web.*;
import org.exoplatform.test.web.unit.*;
import org.exoplatform.test.web.validator.*;
import suites.share.UserLogoutSuite;

/**
 *  Need to check that the changes to the script have been taken into accoount 
 *
 *
 * Created by The eXo Platform SARL
 * Author : Dung Hoang
 *          dunghoang@exoplatform.com, jobdung@yahoo.com
 * Mar 13, 2005
 */
public class AdminCheckTabsSuite extends WebUnitSuite {
  static String DESC = "Go to ECM page, switch between ECM File Explorer tab and Admin the ECM tab" ;
  static String NAME = "AdminCheckTabSuite" ;
    
  public AdminCheckTabsSuite() {    
    super(NAME, DESC) ;    
    goToPage("/Home/ecm") ;
    addWebUnit(
      new ClickURLLinkUnit("CheckECMFileExploreTab", "Check ECM File Explorer tab").
      setURL("portal:action=changeTab&objectId=jcr").                  
      addValidator(new ExpectLinkWithURLValidator("&uicomponent=UIWorkspaceBrowser&op=selectWorkspace&objectId=production"))
    ) ;     
    addWebUnit(
      new ClickURLLinkUnit("CheckAdmintheECMTab", "Check Admin the ECM tab").
      setURL("portal:action=changeTab&objectId=ecm").                  
      addValidator(new ExpectLinkWithURLValidator("&uicomponent=UIECMAdminSummary&op=manageTemplates"))      
    ) ; 
  }     
  public java.util.List getRequiredSuites() { 
    String[] roles = ["user", "admin"] ;
    return [new UserLoginSuite(CommonUnit.NAME_EXO_ADMIN, "exo", roles)] ;
  }  
}