/***************************************************************************
 * Copyright 2001-2005 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package suites.ecm.admin;

import condition.* ;
import suites.share.CommonUnit ;
import suites.share.UserLoginSuite;

import org.exoplatform.test.web.*;
import org.exoplatform.test.web.unit.*;
import org.exoplatform.test.web.validator.*;
import suites.share.UserLogoutSuite;

/**
 *  Need to check that the changes to the script have been taken into accoount 
 *
 *
 * Created by The eXo Platform SARL
 * Author : Dung Hoang
 *          dunghoang@exoplatform.com, jobdung@yahoo.com
 * Dec 27, 2005
 */
public class AdminScriptsSuite extends WebUnitSuite {
  static String DESC = "Go to Admin The ECM page, click on Manage Script button and test all the basic actions" ;
  static String NAME = "AdminScriptsSuite" ;
    
  public AdminScriptsSuite() {    
    super(NAME, DESC) ;    
    goToPage("/Home/ecm") ;
    addWebUnit(
      new ClickURLLinkUnit("SelectAdminTheECM", "Select Admin The ECM tab").
      setURL("componentId=ECMPage&portal:action=changeTab&objectId=ecm").                  
      addValidator(new ExpectLinkWithURLValidator("&uicomponent=UIECMAdminSummary&op=manageTemplates"))      
    ) ;      
    //Manage Scripts
    addWebUnit(
      new ClickURLLinkUnit("ManageScripts", "Click on Manage Scripts button").
      setURL("&uicomponent=UIECMAdminSummary&op=manageScripts").                  
      addValidator(new ExpectLinkWithURLValidator("&uicomponent=ScriptToolbar&op=add"))      
    ) ;    
    //-----Add New Script
    addWebUnit(
      new ClickURLLinkUnit("AddNewScript", "Click on Add button").
      setURL("&uicomponent=ScriptToolbar&op=add").                  
      addValidator(new ExpectFormIdValidator("scriptForm"))      
    ) ;    
    //-----Save New Script
    addWebUnit(
      new SubmitFormUnit("SaveNewScript", "Click on save link").
      setFormId("scriptForm").
      setField("content","script-content-test").                  
      setField("script","script-test").
      setField("op","save").
      addValidator(new ExpectLinkWithURLValidator("&uicomponent=UIScriptList&op=edit&objectId=script-test"))           
    ) ;    
    //----------Edit Created Script
    addWebUnit(
      new ClickURLLinkUnit("EditScript", "Click on edit button").
      setURL("&uicomponent=UIScriptList&op=edit&objectId=script-test").                  
      addValidator(new ExpectFormIdValidator("scriptForm"))      
    ) ;    
    //----------Save Edited Script
    addWebUnit(
      new SubmitFormUnit("SaveEditedScript", "Click on save link").
      setFormId("scriptForm").
      setField("content","script-content-test-edited").                  
      setField("script","script-test").
      setField("op","save").
      addValidator(new ExpectLinkWithURLValidator("&uicomponent=UIScriptList&op=delete&objectId=script-test"))           
    ) ;    
    //----------Delete Created Script
    addWebUnit(
      new ClickURLLinkUnit("DeleteNewScript", "Click on Delete button").
      setURL("&uicomponent=UIScriptList&op=delete&objectId=script-test").                  
      addValidator(new ExpectNoTextValidator("script-test"))      
    ) ;
    //-----Back to Admin The ECM
    addWebUnit(
      new ClickURLLinkUnit("Back", "Click on Manage Templates button").
      setURL("&uicomponent=ScriptToolbar&op=PhaseId[1].cancel").                  
      addValidator(new ExpectLinkWithURLValidator("&uicomponent=UIECMAdminSummary&op=manageRules"))      
    ) ;    
  }     
  public java.util.List getRequiredSuites() { 
    String[] roles = ["user", "admin"] ;
    return [new UserLoginSuite(CommonUnit.NAME_EXO_ADMIN, "exo", roles)] ;
  }  
}