/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package suites.portal;

import condition.* ;
import org.exoplatform.test.web.*;
import org.exoplatform.test.web.unit.*;
import org.exoplatform.test.web.validator.*;
import org.exoplatform.test.portlet.Login.*;

/**
 * This suite does:
 *    1)Go to Show Navigation and select Node need edit
 *    2)Edit some properties ChildNode
 *    3)Save action edit some properties ChildNode
 *       
 * Created by The eXo Platform SARL
 * Author : Hoa  Nguyen Thi
 *          hoa2501@yahoo.com
 * Mar 23, 2006
 */
public class ExoEditNodeSuite extends WebUnitSuite {
  public ExoEditNodeSuite(String root,String nameNode,String formId,String viewPermission,String editPermission) {
    super("ExoEditNodeSuite", "Click Show navigation and edit some properties of Node") ;
    //Edit a Node
    addWebUnit(
        new ClickURLLinkUnit("CheckExistChildNode", "Click '+' on SiteMap").
        setURL("uicomponent=UINavigationManager&op=selectNode&objectId=/"+root).
        addCondition(new HaveLinkWithURLCondition("uicomponent=UINavigationManager&op=selectNode&objectId=/home/sitemap")).
        addValidator(new ExpectTextValidator("ChildNode"))
    ) ;
    addWebUnit(
        new ClickURLLinkUnit("SelectPageEdit", "Select page need edit").
        setURL("uicomponent=UINavigationManager&op=editNode&objectId=/"+root+"/"+nameNode).
        addValidator(new ExpectFormIdValidator("pageNodeForm"))
    ) ;
    addWebUnit(
        new SubmitFormUnit("SubmitEditChildNodeForm", "Edit view permission of ChildNode").
        setFormId(formId).
        setField("viewPermission",viewPermission).
        setField("editPermission",editPermission).
        setField("op","save").
        addValidator(new ExpectTextValidator("ChildNode"))
    ) ;
    addWebUnit(
        new ClickURLLinkUnit("SaveEditNode", "Click on save icon").
        setURL("&uicomponent=UIToolbarNav&op=saveNode").
        addValidator(new ExpectTextValidator("ChildNode"))
    ) ;
  }
}