/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package suites.portal;

import condition.* ;
import org.exoplatform.test.web.*;
import org.exoplatform.test.web.unit.*;
import org.exoplatform.test.web.validator.*;
import org.exoplatform.test.portlet.Login.*;

/**
 * This suite does:
 *    1)Go to browse page and select page need edit
 *    2)Select icon edit to edit some properties page
 *    3)Edit some properties page
 *    4)Save action edit some properties page
 *    5)Go to list page
 *    
 * Created by The eXo Platform SARL
 * Author : Hoa  Nguyen Thi
 *          hoa2501@yahoo.com
 * Mar 23, 2006
 */
public class ExoEditPageBrowseSuite extends WebUnitSuite {
  String COMMENT="You must run PortletRegistrySuite suite before you run this suite";
  public ExoEditPageBrowseSuite(String username,String namePage,String formId,String title,String viewPermission,String editPermission) {
      super("ExoEditPageBrowseSuite", "Click browse page and do some action") ;
    //Edit a page
    addWebUnit(
        new ClickURLLinkUnit("SelectPageEdit", "Select page need edit").
        setURL("uicomponent=UIPageList&op=preview&objectId="+username+":"+namePage).
        addValidator(new ExpectLinkWithURLValidator("uicomponent=UIPagePreviewToolbar&op=edit"))
    ) ;
    addWebUnit(
        new ClickURLLinkUnit("ClickEditIcon", "Click on edit icon to edit some properties of page").
        setURL("uicomponent=UIPagePreviewToolbar&op=edit").
        addValidator(new ExpectLinkWithURLValidator("portal:componentId=page&portal:action=editProperty"))
    ) ;
    addWebUnit(
        new ClickURLLinkUnit("ClickEditPageProperties", "Click on edit page properties icon ").
        setURL("portal:componentId=page&portal:action=editProperty").
        addValidator(new ExpectFormIdValidator("pageForm"))
    ) ;
    addWebUnit(
        new SubmitFormUnit("SubmitEditPageForm", "Save some properties of page need edit").
        setFormId(formId).
        setField("title", title).
        setField("viewPermission", viewPermission).
        setField("editPermission", editPermission).
        setField("op","save").
        addValidator(new ExpectLinkWithURLValidator("uicomponent=UIPagePreviewToolbar&op=save")).
        addValidator(new ExpectTextValidator(title))
    );
    addWebUnit(
        new ClickURLLinkUnit("SaveActionEdit", "Save action edit some properties of page").
        setURL("uicomponent=UIPagePreviewToolbar&op=save").
        addValidator(new ExpectLinkWithURLValidator("uicomponent=UIPagePreviewToolbar&op=PhaseId[1].cancel"))
    ) ;
    addWebUnit(
        new ClickURLLinkUnit("ClickCancelIcon", "Click cancel to go to list page").
        setURL("uicomponent=UIPagePreviewToolbar&op=PhaseId[1].cancel").
        addValidator(new ExpectLinkWithURLValidator("uicomponent=UIPageList&op=preview&objectId="+username+":"+namePage))
    ) ; 
  }
}