/*
 * Copyright 2001-2003 The eXo platform SARL All rights reserved.
 * Please look at license.txt in info directory for more license detail. 
 */
package suites.workflow;

import suites.share.*;
import suites.share.UserLoginSuite;

import org.exoplatform.test.web.WebUnitSuite;
import org.exoplatform.test.web.unit.ClickURLLinkUnit;
import org.exoplatform.test.web.unit.SubmitFormUnit;
import org.exoplatform.test.web.validator.ExpectLinkWithTextValidator;

/**
 * Created y the eXo platform team
 * User: Benjamin Mestrallet
 * Date: 29 juin 2004
 */
static public class WorkflowPortletAdminSuite  extends WebUnitSuite {
  static String DESC="Go to the workflow portlet page and upload process";
  static String NAME="WorkflowAdminSuite";
  public WorkflowPortletAdminSuite() {
    super(NAME, DESC) ;
    init("/Home/Workflow");
  }
  public WorkflowPortletAdminSuite(path) {
    super(NAME, DESC) ;
    init(path);
  }
  public void  init(path) {        
    goToPage(path);    
    addWebUnit(
        new ClickURLLinkUnit("ClickWorkflowEditMode", "Click on the workflow edit mode of the workflow portlet").
        setURL("portal:componentId=workflow&portal:portletMode=edit").
        setBlockId("workflow")
    );
    addWebUnit(
        new SubmitFormUnit("CancelProcessUploadForm", "Cancel the form fill").
        setFormId("uploadForm").
        setField("op", "cancel")
    );
    addWebUnit(
        new ClickURLLinkUnit("ClickWorkflowEditMode", "Click on the workflow edit mode of the workflow portlet").
        setURL("portal:componentId=workflow&portal:portletMode=edit").
        setBlockId("workflow")
    );    
    /*
    addWebUnit(
        new SubmitFormUnit("SubmitProcessUploadForm", "Fill the form with the business process archive to upload").
        setFormId("uploadForm").
        setFileField("file-1", "exoplatform.business-process.holiday-1.0.jar",
                     getClass().getClassLoader().
                     getResourceAsStream("exo-cms.business-process.holiday-1.0.jar")).
        setField("op", "upload").
        addValidator(new ExpectLinkWithTextValidator("Start"))
    );
    */    
  }
  
  public java.util.List getRequiredSuites() { 
    String[] roles = ["user", "admin"] ;
    return [new UserLoginSuite(CommonUnit.NAME_EXO_ADMIN, "exo", roles)] ;
  }
}